GET /v1/MediaRecordings

twilio.com:twilio_media_v1

Summary:
Operation ID: ListMediaRecording
Auth: unknown
Description

Returns a list of MediaRecordings.

Parameters (7)

Order (string, query, optional)

The sort order of the list by `date_created`. Can be: `asc` (ascending) or `desc` (descending) with `desc` as the default.

Page (integer, query, optional)

The page index. This value is simply for client state.

Constraints: {'minimum': 0}

PageSize (integer, query, optional)

How many resources to return in each list page. The default is 50, and the maximum is 1000.

Constraints: {'minimum': 1, 'maximum': 1000}

PageToken (string, query, optional)

The page token. This is provided by the API.

ProcessorSid (string, query, optional)

SID of a MediaProcessor to filter by.

Constraints: {'minLength': 34, 'maxLength': 34, 'pattern': '^ZX[0-9a-fA-F]{32}$'}

SourceSid (string, query, optional)

SID of a MediaRecording source to filter by.

Constraints: {'minLength': 34, 'maxLength': 34, 'pattern': '^[a-zA-Z]{2}[0-9a-fA-F]{32}$'}

Status (string, query, optional)

Status to filter by, with possible values `processing`, `completed`, `deleted`, or `failed`.

No probe data for this endpoint yet.